/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */ 

/* home intro header stuff */
.home-header h1 {
	text-transform: none;
}

/* change hyperlink icon to 'read more' on hover */
.ua-icon-Hyperlink:before {
    content: "Discover More >";
    font-family: "open sans", sans-serif;
    font-size: 16px;
    text-transform: uppercase;
    border: 1px solid white;
    padding: 10px 20px;
}

/* outlined buttons */
.outline-button .fl-module-content .fl-button-wrap .fl-button {
	border: 1px solid #92b75c !important;
}

.outline-button .fl-module-content .fl-button-wrap .fl-button:hover {
	background: #92b75c;
	-webkit-transition: background 0.3s ease-in;
    -moz-transition: background 0.3s ease-in;
    -o-transition: background 0.3s ease-in;
}

.outline-button .fl-module-content .fl-button-wrap .fl-button:hover span, .outline-button .fl-module-content .fl-button-wrap .fl-button:hover i {
	color: #fff;
	-webkit-transition: color 0.3s ease-in;
    -moz-transition: color 0.3s ease-in;
    -o-transition: color 0.3s ease-in;
}

/* centre align social media icons on home page row */
.follow-us-home {
	text-align: center;
}

/* recent projects ting */
.home-recent-projects h3.fl-heading a {
    display: block;
    height: 280px;
	padding-top: 20%;
}

.home-recent-projects h3.fl-heading a {
	display: block;
    max-width: 65%;
    margin: 0 auto;
}
	
/* header menu alignment */
header #menu-main-menu li:last-child a {
	padding-right: 15px;
}

/* menu */
#menu-main-menu li.menu-item.social-links a:after {
	opacity: 0;
	content: '';
  	display: block;
  	background: #fff;
  	height: 3px;
  	width: 100%;
  	margin: 6px auto 0;
}

#menu-main-menu li.menu-item a:hover:after {
	-webkit-transition: opacity 0.3s ease-in;
    -moz-transition: opacity 0.3s ease-in;
    -o-transition: opacity 0.3s ease-in;
    opacity: 1;
}

.subpage-header #menu-main-menu li.menu-item a:after {
	background: #00764e;
}

#menu-main-menu li.menu-item a {
	padding-top: 15px;
	text-decoration: none !important;
}

#menu-main-menu .sub-menu li.menu-item a {
    color: #fff;
	padding: 12px 10px 15px 15px;
}

#menu-main-menu .sub-menu li.menu-item a:after {
	display: none;
}

.fl-menu #menu-main-menu .sub-menu {
	background-color: rgba(26, 133, 90, 0.75);
	min-width: 275px;
}

.fl-menu #menu-main-menu .sub-menu li:hover {
	background-color: rgba(0, 150, 90, 0.75);
}

.subpage-header .fl-menu #menu-main-menu .sub-menu {
	background-color: rgba(26, 133, 90, 1);
	min-width: 275px;
}

.subpage-header #menu-main-menu .sub-menu li:hover {
	background-color: rgba(0, 150, 90, 0.75);
}


/* subpage header border magic */
header .subpage-header .fl-row-content-wrap {
	-moz-border-image: -moz-linear-gradient(left, #0f693e 0%, #b7d690 100%);
  	-webkit-border-image: -webkit-linear-gradient(left, #0f693e 0%, #b7d690 100%);
  	border-image: linear-gradient(to right, #0f693e 0%, #b7d690 100%);
  	border-image-slice: 1;
}

/* menu social */
.fl-menu li.social-links > a:hover:after {
  display: none;
}

/* menu social links */

.fl-builder-content .fl-row-content-wrap .menu .social-links {
	margin-left: 12px;
}

.fl-builder-content .fl-row-content-wrap .menu .social-links.facebook {
	margin-left: 10px;
}

.fl-builder-content .fl-row-content-wrap .menu .social-links a {
    color: transparent;
	text-indent: -9999px;
    padding: 9px;
    margin-top: 10px;	
	font-size: 0px;
}
	
.fl-menu .social-links.facebook a {
    background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/01/fb-40-2.png) no-repeat;
	background-size: contain !important;
}

.fl-menu .social-links.twitter a {
	background: url(https://www.devoncontractors.co.uk//wp-content/uploads/2018/01/twitter.png) no-repeat;
	background-size: contain !important;	
}

.fl-builder-content .fl-row-content-wrap .menu .social-links.linkedin a {
	background: url(https://www.devoncontractors.co.uk//wp-content/uploads/2018/01/linkedin.png) no-repeat;
	background-size: contain !important;
}

.fl-builder-content .fl-row-content-wrap .menu .social-links.instagram a {
    background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/11/insta.png) no-repeat;
    background-size: contain !important;
	padding-right: 9px !important;
}
	
.subpage-header .fl-menu .social-links.facebook a {
    background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/01/fb-40-2-v3.png) no-repeat;
}

.subpage-header .fl-menu .social-links.twitter a {
	background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/01/twitter-v3.png) no-repeat;
}

.fl-builder-content .subpage-header .fl-row-content-wrap .menu .social-links.linkedin a {
	background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/01/linkedin-v3.png) no-repeat !important;
 	background-size: contain !important;
}

.fl-builder-content .subpage-header .fl-row-content-wrap .menu .social-links.instagram a {
	background: url(https://www.devoncontractors.co.uk/wp-content/uploads/2018/11/insta-dark.png) no-repeat !important;
 	background-size: contain !important;
	padding-right: 13px;
}
	
.subpage-header .fl-menu .sub-menu li a {
	text-transform: uppercase;
	font-weight: bold;
	font-size: 16px;
}

/* recent projects section adding hover fade */
.fl-col-bg-overlay:hover .fl-col-content:after {
	background-color: rgba(10, 10, 10, 0.3);
	-webkit-transition: background-color 0.3s ease-in;
    -moz-transition: background-color 0.3s ease-in;
    -o-transition: background-color 0.3s ease-in;
}

/* footer */
footer p, footer a, #menu-footer-quick-links li a, .tp_recent_tweets li {
	font-size: 15px;
}

#text-3.fl-widget .fl-widget-title {
	margin-bottom: 5px;
}

.fl-widget .fl-widget-title {
	font-weight: bold;
}

.fl-widget {
    margin-bottom: 30px;
}

.themer-footer-copyright p, .themer-footer-copyright a {
	font-size: 12px;	
	opacity: 0.8;
}

ul#menu-footer-quick-links {
	padding: 0;
	list-style-type:none;
}

ul#menu-footer-quick-links a:hover {
	text-decoration: underline;
}

ul#menu-footer-quick-links li a:before {
	content: '> ';
}

/* lightbox adjustment */
.mfp-image-holder .mfp-content {
    max-width: 80%;
}

/* zoom gallery images on hover */
.project-gallery div.fl-photo {
  	overflow: hidden;
}

.what-we-do-section div.fl-photo img {
	z-index:99;
	position: relative;
}

.project-gallery div.fl-photo img, .what-we-do-section div.fl-photo img {
	max-width: 100%;
	-moz-transition: all 0.6s;
	-webkit-transition: all 0.6s;
  	transition: all 0.6s;
}
.project-gallery div.fl-photo:hover img {
  	-moz-transform: scale(1.1);
  	-webkit-transform: scale(1.1);
  	transform: scale(1.1);
}

.what-we-do-section div.fl-photo:hover img {
	-moz-transform: scale(1.05);
  	-webkit-transform: scale(1.05);
  	transform: scale(1.05);
}

.what-we-do-section div.fl-photo:hover img {
	z-index: 100;
}

/* feed them social */
.fts-jal-fb-group-header-desc, .fts-jal-fb-header, .fts-powered-by-text-popup a.fts-powered-by-text {
	display: none !important;	
}

/* contract details columns */
.fl-col-group .contract-details-col .fl-module-content .fl-rich-text {
	color: #fff;
}

.fl-col-group .contract-details-col > .fl-col-content {
	background: #00764e;
	padding-bottom: 20px;
}

/* post edits */
.single-post .fl-post-date {
    border-bottom: 3px solid #177849;
    padding-bottom: 17px;
}

.single-post .fl-post-meta.fl-post-meta-top {
    margin-bottom: 40px;	
}

/* post gallery changes */
h2.fl-post-grid-title a {
	text-transform: none;
}

.fl-post-grid-post {
	border: 1px solid #f0f0ef;
}

body h2.fl-post-grid-title a {
	min-height: 80px;
	display: block;
	font-size: 18px !important;
}

.fl-post-column .fl-post-grid-text {
	padding: 0px;
}
	
.fl-post-grid-text .fl-post-grid-title {
	padding: 20px 20px 5px;	
}

body .fl-post-grid-text .fl-post-grid-meta {
    background: #f0f0ef;
    padding: 5px 20px;
	color: #777979;
}

.fl-post-grid-image img:hover {
	transform: scale(1.1);
}
.fl-post-grid-image img {
	transition: transform .2s;
}
	
.fl-post-grid-image {
	overflow:hidden;
}

.news-return-link {
	font-size: 16px;
    line-height: 18px;
    padding: 12px 24px;
    border-radius: 0px;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    background: #ffffff;
    border: 2px solid #f3f3f3;
    background-color: rgba(255,255,255, 0) !important;
	color: #444444 !important;
	border: 1px solid #92b75c !important;
}

.news-return-link:hover {
    color: #fff !important;
    -webkit-transition: color 0.3s ease-in;
	background: #92b75c !important;
    -webkit-transition: background 0.3s ease-in;
}


.news-return-link:hover, .news-return-link:active, .news-return-link:focus {
	text-decoration: none !important;
} 

/* making news post list category link not link */
body .fl-post-grid-text .fl-post-grid-meta a {
    text-decoration: none;
    pointer-events: none;
    color: #333;
}

/* retina image support fix GB041218 */
.retina-image .fl-photo-content img {
    width: 313px !important;
	height: auto !important;
}

@media screen and (min-width: 1200px) {
	.project-gallery div.fl-photo { width: 378px; }
}

@media screen and (min-width: 992px) and (max-width: 1200px) {
	#menu-main-menu li.menu-item a { padding-left: 10px; padding-right: 10px; }
	.fl-builder-content .fl-row-content-wrap .menu .social-links.facebook { margin-left: 3px; }
	#menu-main-menu li.menu-item.social-links a { padding-left: 10px; padding-right: 10px; }
}

@media screen and (min-width: 992px) {
	.fl-page-footer-container { padding: 0; }
	.uabb-image-carousel .slick-slide img {
    min-height: 680px !important;
    max-height: 680px !important;
	}
}

@media screen and (max-width: 991px) {
	#responsive-menu-button .responsive-menu-box { top: -2px; }
	#responsive-menu-container #responsive-menu ul.responsive-menu-submenu-depth-1 a.responsive-menu-item-link { padding-left: 7% !important; }
	#responsive-menu-container #responsive-menu ul.responsive-menu-submenu li.responsive-menu-item a { line-height: normal !important; }
	#responsive-menu-container #responsive-menu li.responsive-menu-item a .responsive-menu-subarrow { line-height: 25px !important; }
	button#responsive-menu-button { top: 25px !important; }
}
	
@media screen and (min-width: 768px) {
	header #menu-main-menu li:last-child a { padding-bottom: 15px; }
	.contract-details-right p { text-align: right; }
}

@media screen and (max-width: 768px) {
	.home-recent-projects h3.fl-heading a {  display: block; height: 280px; padding-top: 30%; }
	body #responsive-menu-container #responsive-menu li.responsive-menu-item a { line-height: 25px; padding: 4% 5%; }
	#responsive-menu-container #responsive-menu-wrapper { margin-top: 30px; }
	#responsive-menu-container li.responsive-menu-item a.responsive-menu-item-link .responsive-menu-subarrow { top: 10px !important; }
	footer .footer-social .fl-module-content.fl-node-content { margin: 0 20px; }
}

@media screen and (max-width: 500px) {
	.fl-page-content .fl-module-rich-text .fl-module-content .fl-rich-text img { margin: 0 auto; display: block; float: none; }
	.fl-module-rich-text .fl-module-content .fl-rich-text li img { margin: 5px 0 20px 20px; float: right; }
}

@media screen and (min-width: 400px) {
	.general-separator div.fl-separator { width: 120px !important; }
}

.acc-logos img {
	height: 150px!important;
	width: auto;
	margin: 10px 0;
}